Announcement Announcement Module
Collapse
No announcement yet.
Spring IDE with Spring Security 3.0 - XML validation Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring IDE with Spring Security 3.0 - XML validation

    Is Spring Security 3.0 being supported by Spring IDE yet? I'm getting XML validation errors whenever I'm trying to add an anonymous element inside an http element. The message is "Class 'org.springframework.security.providers.anonymous. AnonymousProcessingFilter' not found", and, judging by the fact that Spring Security 3.0 has moved this class into org.springframework.security.web.authentication.An onymousAuthenticationFilter, my guess is that Spring IDE is trying to validate my XML against Spring Security 2.0.4 codebase.

    Could someone please confirm this?

    Also, does STS have better support for 3.0?

    Spring IDE version is 2.3.0.200912170948-RELEASE

  • #2
    Reported this as a bug at http://jira.springframework.org/browse/IDE-1075

    Comment

    Working...
    X